package de.wwwu.awolf.model.communication;

import de.wwwu.awolf.presenter.algorithms.Algorithm;

import java.util.List;

public class EvaluationData implements Data {
    private SubscriberType type;
    private List<Algorithm.Type> algorithmtypes;
    private List<Double> oneColumnresult;
    private List<List<String>> multipleColumnResult;
    private int column;
    private List<String> labels;

    public List<Algorithm.Type> getAlgorithmtypes() {
        return algorithmtypes;
    }

    public void setAlgorithmtypes(List<Algorithm.Type> algorithmtype) {
        this.algorithmtypes = algorithmtype;
    }

    public List<Double> getOneColumnresult() {
        return oneColumnresult;
    }

    public void setOneColumnresult(List<Double> oneColumnresult) {
        this.oneColumnresult = oneColumnresult;
    }

    public List<List<String>> getMultipleColumnResult() {
        return multipleColumnResult;
    }

    public void setMultipleColumnResult(List<List<String>> multipleColumnResult) {
        this.multipleColumnResult = multipleColumnResult;
    }

    @Override
    public SubscriberType getType() {
        return type;
    }

    @Override
    public void setType(SubscriberType type) {
        this.type = type;
    }

    public void setColumn(int col) {
        this.column = col;
    }

    public void setLabels(List<String> tableInput) {
        this.labels = tableInput;
    }
}
